DefaultFade (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.union

## Interface DefaultFade

- All Known Implementing Classes:
    DefaultFadeImpl

      public interface DefaultFade

  Specifies the optional default audio fade properties of a composition package, which are either all present or all omitted. Default audio fade properties are applied to all source clips in a composition that do not specify their own audio fade properties. A default fade applies to both an audio fade-in and fade-out.

  Original C name: `aafDefaultFade_t`

  See Also:
    `CompositionPackage`, `SourceClip`, `Fade`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `DefaultFade` | `clone()` Create a cloned copy of this default fade value.
    `Rational` | `getFadeEditUnit()` Returns the edit units used to specify the default fade length.
    `long` | `getFadeLength()` Returns the length of this default audio fade, measured in this fade's edit units.
    `FadeType` | `getFadeType()` Returns the type of this default audio fade.
    `void` | `setFadeEditUnit(Rational fadeEditUnit)` Sets the edit units used to specify the default fade length
    `void` | `setFadeLength(long fadeLength)` Sets the length of this default audio fade, measured in this fade's edit unit.
    `void` | `setFadeType(FadeType fadeType)` Sets the type of this default audio fade.

- - ### Method Detail

    - #### getFadeEditUnit

          Rational getFadeEditUnit()

      Returns the edit units used to specify the default fade length.

      Returns:
        Edit units used to specify the fade length.

    - #### setFadeEditUnit

          void setFadeEditUnit(Rational fadeEditUnit)
                        throws NullPointerException

      Sets the edit units used to specify the default fade length

      Parameters:
        `fadeEditUnit` - Edit units used to specify the fade length.
      Throws:
        `NullPointerException` - The given edit units for the default fade length are `null`.

    - #### getFadeLength

          @LengthType
          long getFadeLength()

      Returns the length of this default audio fade, measured in this fade's edit units.

      Returns:
        Length of the default audio fade.
      See Also:
        `getFadeEditUnit()`

    - #### setFadeLength

          void setFadeLength(@LengthType
                             long fadeLength)
                      throws BadLengthException

      Sets the length of this default audio fade, measured in this fade's edit unit.

      Parameters:
        `fadeLength` - Length of the default audio fade.
      Throws:
        `BadLengthException` - Length of the default fade is negative.
      See Also:
        `getFadeEditUnit()`, `setFadeEditUnit(Rational)`

    - #### getFadeType

          FadeType getFadeType()

      Returns the type of this default audio fade.

      Returns:
        Type of this default audio fade.

    - #### setFadeType

          void setFadeType(FadeType fadeType)
                    throws NullPointerException

      Sets the type of this default audio fade.

      Parameters:
        `fadeType` - Type of this default audio fade.
      Throws:
        `NullPointerException` - The given fade type for the default fade is `null`.

    - #### clone

          DefaultFade clone()

      Create a cloned copy of this default fade value.

      Returns:
        Cloned copy of this default fade value.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.